本接口用于发起 AI 手表虚拟试戴流程。您需要提供源文件与参考图(URL 或文件 ID),以及用于对齐、阴影与佩戴位置的具体参数。任务会异步处理,您可以使用本响应返回的 task_id 查询其状态。
安全
BearerAuthenticationV2
Any of:
用于运行任务的参考文件 URL,该 URL 需可公开访问。
示例:
[ "https://example.com/vto_sku.jpg" ]
- https://yce-api-01.makeupar.comhttps://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/watch
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/2d-vto/watch \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"src_file_url": "https://example.com/selfie.jpg",
"srcmsk_file_url": "https://example.com/src_mask.jpg",
"ref_file_urls": [
"https://example.com/vto_sku.jpg"
],
"refmsk_file_urls": [
"https://example.com/vto_sku_mask.jpg"
],
"source_info": {
"name": "https://example.com/selfie.jpg",
"mask_name": "https://example.com/src_mask.jpg"
},
"object_infos": [
{
"name": "https://example.com/vto_sku.jpg",
"mask_name": "https://example.com/vto_sku_mask.jpg",
"parameter": {
"watch_need_remove_background": true,
"watch_anchor_point": null,
"watch_wearing_location": null,
"watch_shadow_intensity": 0.3,
"watch_ambient_light_intensity": 1
}
}
]
}'响应
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }